<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @since Reef 0.1
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-content'); ?>>
	<?php
	# Show title for static front page only
	if( is_front_page() )
	the_title( '<h2>', '</h2>' ); 
	?>
    <div class="post-content-inner">
		<?php
		# Show the thumbnail only in first page
		# There may be many pages depending on page breaks in the content 
		if( get_query_var( 'page' ) == 0 ){

			reef_post_thumbnail( array(
				'permalink' => false,
				'dummy'     => false
			) );	
		}
		?>
        <div class="post-text">
		<?php
			# Prints out the contents of this post after applying filters.
			the_content();

			# Prints out the pagination link as per the page breaks in the content.
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'reef' ),
				'after'  => '</div>',
				'link_before' => '<span class="page-number">',
				'link_after'  => '</span>',
			) );
		?>
        </div>
    </div>
</article>